using System;

namespace ConsoleApp7
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int a = int.Parse(str[0]);
            int b = int.Parse(str[1]);
            str = Console.ReadLine().Split();
            a -= int.Parse(str[0]);
            b -= int.Parse(str[1]);
            if (a > 0)
            {
                if (b > 0)
                {
                    Console.WriteLine("?");
                }
                else
                {
                    Console.WriteLine("prvi");
                }
            }
            else if (b > 0)
            {
                Console.WriteLine("drugi");
            }
            else
            {
                Console.WriteLine("nijedan");
            }
        }
    }
}